%global momorel 1
%global api 0.2

Name:           gfbgraph
Version:        %{api}.3
Release: %{momorel}m%{?dist}
Summary:        GLib/GObject wrapper for the Facebook Graph API
Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://wiki.gnome.org/GFBGraph
Source0:        http://download.gnome.org/sources/%{name}/%{api}/%{name}-%{version}.tar.xz
NoSource: 0

BuildRequires:  glib2-devel
BuildRequires:  gnome-online-accounts-devel
BuildRequires:  gobject-introspection-devel
BuildRequires:  gtk-doc
BuildRequires:  json-glib-devel
BuildRequires:  libsoup-devel
BuildRequires:  pkgconfig
BuildRequires:  rest-devel
Requires:       gobject-introspection

%description
GLib/GObject wrapper for the Facebook Graph API that integrates with GNOME
Online Accounts.

%package        devel
Summary:        Development files for %{name}
Requires:       gobject-introspection-devel
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure \
  --disable-silent-rules \
  --disable-static \
  --enable-gtk-doc \
  --enable-introspection

# Omit unused direct shared library dependencies.
sed --in-place --expression 's! -shared ! -Wl,--as-needed\0!g' libtool

%make 


%install
make install INSTALL="%{__install} -p" DESTDIR=%{buildroot}

find %{buildroot} -name '*.la' -delete
rm -rf %{buildroot}%{_prefix}/doc

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc AUTHORS
%doc COPYING
%doc NEWS
%doc README
%{_libdir}/lib%{name}-%{api}.so.*

%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/GFBGraph-%{api}.typelib

%files devel
%{_libdir}/lib%{name}-%{api}.so
%{_libdir}/pkgconfig/libgfbgraph-%{api}.pc

%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/GFBGraph-%{api}.gir

%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%doc %{_datadir}/gtk-doc/html/%{name}-%{api}

%dir %{_includedir}/%{name}-%{api}
%{_includedir}/%{name}-%{api}/%{name}


%changelog
* Tue Mar 21 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2.3-1m)
- update 0.2.3

* Thu Nov 13 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.2.2-1m)
- import from fedora

